import { initializeApp } from 'firebase/app';
import { getFirestore } from 'firebase/firestore';
import { getAuth } from 'firebase/auth';
import { getAnalytics } from 'firebase/analytics';

const firebaseConfig = {
  apiKey: import.meta.env.VITE_FIREBASE_API_KEY || 'firebaseApiKey',
  authDomain: import.meta.env.VITE_FIREBASE_AUTH_DOMAIN || 'firebaseAuthDomain',
  projectId: import.meta.env.VITE_FIREBASE_PROJECT_ID || 'firebaseProjectId',
  storageBucket: import.meta.env.VITE_FIREBASE_STORAGE_BUCKET || 'firebaseStorageBucket',
  messagingSenderId: import.meta.env.VITE_FIREBASE_MESSAGING_SENDER_ID || 'firebaseMessagingSenderId',
  appId: import.meta.env.VITE_FIREBASE_APP_ID || 'firebaseAppId',
  measurementId: import.meta.env.VITE_FIREBASE_MEASUREMENT_ID || 'firebaseMeasurementId',
};

const app = initializeApp(firebaseConfig);
export const db = getFirestore(app);
export const auth = getAuth(app);
export const analytics = getAnalytics(app);